from zope.interface import implements
from zope.app.container.btree import BTreeContainer 
from zope.app.container.contained import Contained

from interfaces import IPerson, IPersonContainer, IPersonContained

class Person(Contained):
    """An implementation of IPerson"""

    implements(IPerson, IPersonContained)

    title = u''
    username = u''


class PersonContainer(BTreeContainer):
    """Container of persons"""

    implements(IPersonContainer)
